﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PV178.Tutorial6.Homework
{
    /// <summary>
    /// Priority planner determines priority of person in range from zero 
    /// to specified highest priority for objects.
    /// </summary>
    public interface IPriorityPlanner
    {
        /// <summary>
        /// The maximum priority planner can return.
        /// </summary>
        int HighestPriority { get; }

        /// <summary>
        /// Computes the priority for the person.
        /// </summary>
        /// <param name="item">The person for which priority will be determined.</param>
        /// <exception cref="ArgumentNullException"><c>person </c> is <c>null</c>.</exception>
        /// <returns>The number representing priority of person in range from zero to <see cref="HighestPriority"/>.</returns>
        int ComputePriority(Person item);
    }
}
